# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/axis.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Axis ARTPEC platforms

maintainers:
  - Jesper Nilsson <jesper.nilsson@axis.com>
  - Lars Persson <lars.persson@axis.com>
  - linux-arm-kernel@axis.com

description: |
  ARM platforms using SoCs designed by Axis branded as "ARTPEC".

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:
      - description: Axis ARTPEC-6 SoC board
        items:
          - enum:
              - axis,artpec6-dev-board
          - const: axis,artpec6

      - description: Axis ARTPEC-8 SoC board
        items:
          - enum:
              - axis,artpec8-grizzly
          - const: axis,artpec8

additionalProperties: true

...
